package de.hazewood.rylius.mlgj1.elements.props;

import de.hazewood.rylius.mlgj1.Element;
import de.hazewood.rylius.mlgj1.Game;
import de.hazewood.rylius.mlgj1.elements.chars.Rarity;
import org.newdawn.slick.GameContainer;

public class Tom extends Element {

    public Tom() {
        super(Game.image("props/tom"), true);
    }

    @Override
    public void update(GameContainer gc, int delta) {
        super.update(gc, delta);

        if (clicked(gc.getInput())) {
            level.addEvent("tom", this, null);
        }
    }

    @Override
    public boolean combine(Element other) {
        if (other instanceof Rarity) {
            Rarity rarity = (Rarity) other;
            rarity.setTom(this);
            return true;
        }
        return false;
    }
}
