package de.hazewood.rylius.mlgj1.elements.props;

import de.hazewood.rylius.mlgj1.Element;
import de.hazewood.rylius.mlgj1.Game;
import org.newdawn.slick.GameContainer;

public class Trunk extends Element {

    public Trunk() {
        super(Game.image("props/trunk"));
    }

    @Override
    public void update(GameContainer gc, int delta) {
        super.update(gc, delta);

        if (clicked(gc.getInput())) {
            level.addEvent("trunk", this, null);
        }
    }

    @Override
    public boolean combine(Element other) {
        return false;
    }
}
